Bug 133303

Summary: lang/visualworks cannot load Jun because of lacking TGZArchiver
Product: Ports & Packages Reporter: Takeshi MUTOH <mutoh>
Component: Individual Port(s)Assignee: freebsd-ports-bugs mailing list <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: chris
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Takeshi MUTOH 2009-04-02 14:20:00 UTC
Current version of Jun include lang/visualworks, it needs TGZArchiver
for loading.
This percel is in CntrbHeeg.tar.gz, but current port isn't include it.

Fix: Please apply patch:



--
Takeshi MUTOH	<mutoh@openedu.org>--hCulGwVT3cj46szd5xdT0Zo8RBIaCiPF6KQN6qI6QnXJECli
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ruN visualworks.org/Makefile visualworks/Makefile
--- visualworks.org/Makefile	2009-04-02 20:48:07.000000000 +0900
+++ visualworks/Makefile	2009-04-02 20:44:32.000000000 +0900
@@ -87,7 +87,8 @@
 DISTFILES+=	CntrbDome.tar.gz
 .endif
 .if make(makesum) || defined(FETCH_ALL) || defined(WITH_JUN)
-DISTFILES+=	CntrbJun.tar.gz
+DISTFILES+=	CntrbJun.tar.gz \
+		CntrbHeeg.tar.gz
 .endif
 .if make(makesum) || defined(FETCH_ALL) || defined(WITH_SEASIDE)
 DISTFILES+=	CntrbSeaside.tar.gz
diff -ruN visualworks.org/distinfo visualworks/distinfo
--- visualworks.org/distinfo	2009-04-02 20:48:07.000000000 +0900
+++ visualworks/distinfo	2009-04-02 20:46:18.000000000 +0900
@@ -34,6 +34,9 @@
 MD5 (vwnc7.6/CntrbJun.tar.gz) = 008f646463aab162e5d1c8877acf3bc3
 SHA256 (vwnc7.6/CntrbJun.tar.gz) = d4bf668e73268af5abc4a13f44e5c128fd1b88e5e075d887f5ed5ba686240c47
 SIZE (vwnc7.6/CntrbJun.tar.gz) = 24387517
+MD5 (vwnc7.6/CntrbHeeg.tar.gz) = 91177206e10471a174faa15e64901390
+SHA256 (vwnc7.6/CntrbHeeg.tar.gz) = e05f82cd608b458f46038241164b26f4aac19659d4e365a85a1309062ccc3bc4
+SIZE (vwnc7.6/CntrbHeeg.tar.gz) = 3027601
 MD5 (vwnc7.6/CntrbSeaside.tar.gz) = 7f7fec2cce801bc25676b8696a7a6d5f
 SHA256 (vwnc7.6/CntrbSeaside.tar.gz) = 926c618413f9a87f14a189ebb41333d2ea839d49a1c2d094ca9392df4bc90ab8
 SIZE (vwnc7.6/CntrbSeaside.tar.gz) = 12392831
How-To-Repeat: 
1. install lang/visualworks
2. Run visualworks
3. [System] -> [Load Percels Named...] input Jun and [OK]
4. Appear Dialog not found TGZArchiver
Comment 1 Edwin Groothuis freebsd_committer 2009-04-02 14:20:12 UTC
Maintainer of lang/visualworks,

Please note that PR ports/133303 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133303

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-04-02 14:20:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 chris 2009-04-02 16:33:34 UTC
Hi Edwin,

I approve the enhancement.

thanks to the author and best regards
Chris

> Maintainer of lang/visualworks,
>
> Please note that PR ports/133303 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/133303
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Pav Lucistnik freebsd_committer 2009-05-12 09:35:20 UTC
State Changed
From-To: feedback->open

Approved by maintainer
Comment 5 Tilman Keskinoz freebsd_committer 2009-07-25 13:15:52 UTC
State Changed
From-To: open->closed

committed, thanks
Comment 6 dfilter service freebsd_committer 2009-07-25 13:16:13 UTC
arved       2009-07-25 12:15:44 UTC

  FreeBSD ports repository

  Modified files:
    lang/visualworks     Makefile distinfo 
  Log:
  Fix JUN OPTION
  
  PR:             133303
  Submitted by:   Takeshi MUTOH <mutoh@openedu.org>
  Approved by:    old maintainer
  
  Revision  Changes    Path
  1.19      +2 -1      ports/lang/visualworks/Makefile
  1.10      +3 -0      ports/lang/visualworks/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"